deploy/kubernetes/operator/config/crd/bases/uniffle.apache.org_remoteshuffleservices.yaml [1794:1865]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
                    format: int32
                    type: integer
                  image:
                    description: Image represents image of coordinators or shuffle
                      servers.
                    type: string
                  initContainerImage:
                    description: InitContainerImage represents image of init container
                      used to change owner of host paths.
                    type: string
                  labels:
                    additionalProperties:
                      type: string
                    description: Labels represents labels to be added in coordinators
                      or shuffle servers' pods.
                    type: object
                  logHostPath:
                    description: LogHostPath represents host path used to save logs
                      of shuffle servers.
                    type: string
                  nodeSelector:
                    additionalProperties:
                      type: string
                    description: NodeSelector is a selector which must be true for
                      the pod to fit on a node. Selector which must match a node's
                      labels for the pod to be scheduled on that node.
                    type: object
                  parameters:
                    additionalProperties:
                      type: string
                    description: Parameters holds the optional parameters used by
                      coordinators or shuffle servers.
                    type: object
                  ports:
                    description: Ports represents ports used by coordinators or shuffle
                      servers.
                    items:
                      description: ContainerPort represents a network port in a single
                        container.
                      properties:
                        containerPort:
                          description: Number of port to expose on the pod's IP address.
                            This must be a valid port number, 0 < x < 65536.
                          format: int32
                          type: integer
                        hostIP:
                          description: What host IP to bind the external port to.
                          type: string
                        hostPort:
                          description: Number of port to expose on the host. If specified,
                            this must be a valid port number, 0 < x < 65536. If HostNetwork
                            is specified, this must match ContainerPort. Most containers
                            do not need this.
                          format: int32
                          type: integer
                        name:
                          description: If specified, this must be an IANA_SVC_NAME
                            and unique within the pod. Each named port in a pod must
                            have a unique name. Name for the port that can be referred
                            to by services.
                          type: string
                        protocol:
                          default: TCP
                          description: Protocol for port. Must be UDP, TCP, or SCTP.
                            Defaults to "TCP".
                          type: string
                      required:
                      - containerPort
                      type: object
                    type: array
                  replicas:
                    default: 1
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



deploy/kubernetes/operator/config/crd/bases/uniffle.apache.org_remoteshuffleservices.yaml [6609:6680]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
                    format: int32
                    type: integer
                  image:
                    description: Image represents image of coordinators or shuffle
                      servers.
                    type: string
                  initContainerImage:
                    description: InitContainerImage represents image of init container
                      used to change owner of host paths.
                    type: string
                  labels:
                    additionalProperties:
                      type: string
                    description: Labels represents labels to be added in coordinators
                      or shuffle servers' pods.
                    type: object
                  logHostPath:
                    description: LogHostPath represents host path used to save logs
                      of shuffle servers.
                    type: string
                  nodeSelector:
                    additionalProperties:
                      type: string
                    description: NodeSelector is a selector which must be true for
                      the pod to fit on a node. Selector which must match a node's
                      labels for the pod to be scheduled on that node.
                    type: object
                  parameters:
                    additionalProperties:
                      type: string
                    description: Parameters holds the optional parameters used by
                      coordinators or shuffle servers.
                    type: object
                  ports:
                    description: Ports represents ports used by coordinators or shuffle
                      servers.
                    items:
                      description: ContainerPort represents a network port in a single
                        container.
                      properties:
                        containerPort:
                          description: Number of port to expose on the pod's IP address.
                            This must be a valid port number, 0 < x < 65536.
                          format: int32
                          type: integer
                        hostIP:
                          description: What host IP to bind the external port to.
                          type: string
                        hostPort:
                          description: Number of port to expose on the host. If specified,
                            this must be a valid port number, 0 < x < 65536. If HostNetwork
                            is specified, this must match ContainerPort. Most containers
                            do not need this.
                          format: int32
                          type: integer
                        name:
                          description: If specified, this must be an IANA_SVC_NAME
                            and unique within the pod. Each named port in a pod must
                            have a unique name. Name for the port that can be referred
                            to by services.
                          type: string
                        protocol:
                          default: TCP
                          description: Protocol for port. Must be UDP, TCP, or SCTP.
                            Defaults to "TCP".
                          type: string
                      required:
                      - containerPort
                      type: object
                    type: array
                  replicas:
                    default: 1
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



